/*
 * Copyright (C) 2009  Thomas "Heinervdm" Zimmermann <zimmermannn@vdm-design.de>
 *
 * This file is part of fmWettbewerb
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.heinervdm.fmwettbewerb;

import java.util.ArrayList;

/**
 *
 * @author thomas
 */
public class Move {

    private int srcX;
    private int srcY;
    private int dstX;
    private int dstY;
    private ArrayList<Row> rows;
    
    /**
     * Returns number of lila stones in this move
     * @return number of lila stones
     */
    public int getLila() {
        int lila = 0;
        for (int i = 0; i < rows.size(); i++) {
            if (rows.get(i).getColor().equals(new Stone(Stone.lila))) {
                lila += rows.get(i).getCount();
            }
        }
        return lila;
    }

    /**
     * @return the srcX
     */
    public int getSrcX() {
        return srcX;
    }

    /**
     * @param srcX the srcX to set
     */
    public void setSrcX(int srcX) {
        this.srcX = srcX;
    }

    /**
     * @return the srcY
     */
    public int getSrcY() {
        return srcY;
    }

    /**
     * @param srcY the srcY to set
     */
    public void setSrcY(int srcY) {
        this.srcY = srcY;
    }

    /**
     * @return the dstX
     */
    public int getDstX() {
        return dstX;
    }

    /**
     * @param dstX the dstX to set
     */
    public void setDstX(int dstX) {
        this.dstX = dstX;
    }

    /**
     * @return the dstY
     */
    public int getDstY() {
        return dstY;
    }

    /**
     * @param dstY the dstY to set
     */
    public void setDstY(int dstY) {
        this.dstY = dstY;
    }

    /**
     * @return the rows
     */
    public ArrayList<Row> getRows() {
        return rows;
    }

    /**
     * @param rows the rows to set
     */
    public void setRows(ArrayList<Row> rows) {
        this.rows = rows;
    }
}
