/*
 * Copyright (C) 2009  Thomas "Heinervdm" Zimmermann <zimmermannn@vdm-design.de>
 *
 * This file is part of fmWettbewerb
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.heinervdm.fmwettbewerb;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

/**
 *
 * @author thomas
 */
public class Player {

    private int life;
    private int shield;
    private int red;
    private int yellow;
    private int green;
    private int lila;

    /**
     * Creates new Player inctance out of player data file
     * @param file The player data file
     * @throws java.io.FileNotFoundException If <code>file</code> not found
     * @throws java.io.IOException If can't read <code>file</file>
     */
    public Player(String file) throws FileNotFoundException, IOException {
        BufferedReader in = new BufferedReader(new FileReader(file));
        setLife(Integer.parseInt(in.readLine().trim()));
        setShield(Integer.parseInt(in.readLine().trim()));
        setRed(Integer.parseInt(in.readLine().trim()));
        setYellow(Integer.parseInt(in.readLine().trim()));
        setGreen(Integer.parseInt(in.readLine().trim()));
        setLila(Integer.parseInt(in.readLine().trim()));
        in.close();
    }

    /**
     * @return the life
     */
    public int getLife() {
        return life;
    }

    /**
     * @param life the life to set
     */
    public void setLife(int life) {
        this.life = life;
    }

    /**
     * @return the shield
     */
    public int getShield() {
        return shield;
    }

    /**
     * @param shield the shield to set
     */
    public void setShield(int shield) {
        this.shield = shield;
    }

    /**
     * @return the red
     */
    public int getRed() {
        return red;
    }

    /**
     * @param red the red to set
     */
    public void setRed(int red) {
        this.red = red;
    }

    /**
     * @return the yellow
     */
    public int getYellow() {
        return yellow;
    }

    /**
     * @param yellow the yellow to set
     */
    public void setYellow(int yellow) {
        this.yellow = yellow;
    }

    /**
     * @return the green
     */
    public int getGreen() {
        return green;
    }

    /**
     * @param green the green to set
     */
    public void setGreen(int green) {
        this.green = green;
    }

    /**
     * @return the lila
     */
    public int getLila() {
        return lila;
    }

    /**
     * @param lila the lila to set
     */
    public void setLila(int lila) {
        this.lila = lila;
    }
}
